<?php

require_once __DIR__ . '/../vendor/autoload.php';

use jrosset\ExtendedMonolog\ExceptionLogger;
use jrosset\ExtendedMonolog\LogDirectoryHandler;
use Monolog\Handler\StreamHandler;
use Monolog\Level;

/** @noinspection PhpUnhandledExceptionInspection */
$logger = new ExceptionLogger(
    'test',
    [
        new StreamHandler(STDOUT),
        new LogDirectoryHandler(__DIR__ . '/logs/'),
    ]
);

try {
    $logger->info('START');

    throw new RuntimeException('An unexpected error occurs');

    /** @noinspection PhpUnreachableStatementInspection */
    $logger->info('END');
}
catch (Throwable $exception) {
    $logger->exception(Level::Error, $exception);
}